# CALC example makefile

# Uses Zortech C++ 3.00r4 and Zinc Interface Library Version 3.00 

# Be sure to set the LIB and INCLUDE environment variables for Zinc, e.g.:
#    set LIB=.;C:\ZINC\LIB_Z30;C:\ZTC\LIB
#    set INCLUDE=.;C:\ZINC\INCLUDE;C:\ZTC\INCLUDE

#    make -fzortech.mak calc.exe      (makes the calc example program)
#    make -fzortech.mak wcalc.exe     (makes the Windows wcalc program)

## Compiler and linker: (Add -g to CPP_OPTS and /CO to LINK_OPTS for debug.)
CPP=ztc
LINK=blink
DOS_CPP_OPTS=-c -ml -a1 -br
DOS_LINK_OPTS=/NOI
WIN_CPP_OPTS=-c -ml -a1 -br -W2
WIN_LINK_OPTS=/NOI

## Libraries
DOS_OBJS=
DOS_LIBS=zil fg
WIN_OBJS=
WIN_LIBS=zilw


.cpp.obj:
	$(CPP) $(DOS_CPP_OPTS) $<

.cpp.obw:
	$(CPP) $(WIN_CPP_OPTS) -o$*.obw $<


all: calc.exe wcalc.exe 


calc.exe: calc.obj calcico.obj
	$(LINK) $(DOS_LINK_OPTS) $(DOS_OBJS)+calc.obj+calcico.obj,$*, ,$(DOS_LIBS),NUL


wcalc.exe: calc.obw calcico.obw
	$(LINK) $(WIN_LINK_OPTS) $(WIN_OBJS)+calc.obw+calcico.obw,$*, ,$(WIN_LIBS),wcalc.def
	rc -k wcalc.rc $*.exe


