# GRAPH example makefile

# Uses Zortech C++ 3.00r4 and Zinc Interface Library Version 3.00 

# Be sure to set the LIB and INCLUDE environment variables for Zinc, e.g.:
#    set LIB=.;C:\ZINC\LIB_Z30;C:\ZTC\LIB
#    set INCLUDE=.;C:\ZINC\INCLUDE;C:\ZTC\INCLUDE

#    make -fzortech.mak graph.exe      (makes the graph example program)
#    make -fzortech.mak wgraph.exe     (makes the Windows graph program)

## Compiler and linker: (Add -g to CPP_OPTS and /CO to LINK_OPTS for debug.)
CPP=ztc
LINK=blink
DOS_CPP_OPTS=-c -ml -a1 -br
DOS_LINK_OPTS=/NOI
WIN_CPP_OPTS=-c -ml -a1 -br -W2
WIN_LINK_OPTS=/NOI

## Libraries
DOS_OBJS=
DOS_LIBS=zil fg
WIN_OBJS=
WIN_LIBS=zilw


.cpp.obj:
	$(CPP) $(DOS_CPP_OPTS) $<

.cpp.obw:
	$(CPP) $(WIN_CPP_OPTS) -o$*.obw $<


all: graph.exe wgraph.exe


graph.exe: graph.obj
	$(LINK) $(DOS_LINK_OPTS) $(DOS_OBJS)+graph.obj,$*, ,$(DOS_LIBS),NUL


wgraph.exe: graph.obw
	$(LINK) $(WIN_LINK_OPTS) $(WIN_OBJS)+graph.obw,$*, ,$(WIN_LIBS),wgraph.def
	rc -k wgraph.rc $*.exe
