# PUZZLE example makefile

# Uses Zortech C++ 3.00r4 and Zinc Interface Library Version 3.00 

# Be sure to set the LIB and INCLUDE environment variables for Zinc, e.g.:
#    set LIB=.;C:\ZINC\LIB_Z30;C:\ZTC\LIB
#    set INCLUDE=.;C:\ZINC\INCLUDE;C:\ZTC\INCLUDE

#    make -fzortech.mak puzzle.exe      (makes the puzzle example program)
#    make -fzortech.mak wpuzzle.exe     (makes the Windows puzzle program)

## Compiler and linker: (Add -g to CPP_OPTS and /CO to LINK_OPTS for debug.)
CPP=ztc
LINK=blink
DOS_CPP_OPTS=-c -ml -a1 -br
DOS_LINK_OPTS=/NOI
WIN_CPP_OPTS=-c -ml -a1 -br -W2
WIN_LINK_OPTS=/NOI

## Libraries
DOS_OBJS=
DOS_LIBS=zil fg
WIN_OBJS=
WIN_LIBS=zilw


.cpp.obj:
	$(CPP) $(DOS_CPP_OPTS) $<

.cpp.obw:
	$(CPP) $(WIN_CPP_OPTS) -o$*.obw $<


all: puzzle.exe wpuzzle.exe


puzzle.exe: puzzle.obj
	$(LINK) $(DOS_LINK_OPTS) $(DOS_OBJS)+puzzle.obj,$*, ,$(DOS_LIBS),NUL


wpuzzle.exe: puzzle.obw
	$(LINK) $(WIN_LINK_OPTS) $(WIN_OBJS)+puzzle.obw,$*, ,$(WIN_LIBS),wpuzzle.def
	rc -k wpuzzle.rc $*.exe
