//	Zinc Interface Library - G_PNORM.CPP
//	COPYRIGHT (C) 1990-1992.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA
/* This file is part of OpenZinc

OpenZinc is free software: You can redistribute it and/or modify it
 under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the license or
 (at your option) any later version.

OpenZinc is distributed in the hope that it will be useful,
but without ANY WARRANTY; without even the implied warranty of
MARCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lessor Public license for more details

You should have received a copy of the GNU Lessor Public License
along with OpenZinc. If not, see <http://www.gnu.org/licenses/>.
*/


#include "ui_win.hpp"
#pragma hdrstop

void z_pnorm_dummy(void) { }	// Bug fix for Zortech & Microsoft linkers.

#ifdef _WINDOWS
static UI_PALETTE_MAP paletteMapTable[] =
{
	{ ID_WINDOW_OBJECT, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },

	// End of array.
	{ ID_END, 0, { 0, 0, 0, 0, 0, 0 } }
};
#else
static UI_PALETTE_MAP paletteMapTable[] =
{
	{ ID_WINDOW_OBJECT, PM_CURRENT,
		{ ' ', attrib(WHITE, CYAN), attrib(MONO_HIGH, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, CYAN, BW_WHITE, BW_BLACK, GS_BLACK, GS_GRAY } },
	{ ID_WINDOW_OBJECT, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },

	{ ID_BUTTON, PM_CURRENT | PM_HOT_KEY,
		{ ' ', attrib(BLUE, CYAN), attrib(MONO_HIGH, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, CYAN, BW_WHITE, BW_BLACK, GS_WHITE, GS_BLACK } },
	{ ID_BUTTON, PM_CURRENT,
		{ ' ', attrib(WHITE, CYAN), attrib(MONO_HIGH, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, CYAN, BW_WHITE, BW_BLACK, GS_BLACK, GS_WHITE } },
	{ ID_BUTTON, PM_ACTIVE | PM_HOT_KEY,
		{ ' ', attrib(BLUE, LIGHTGRAY), attrib(MONO_HIGH, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_WHITE, BW_BLACK, GS_WHITE, GS_BLACK } },
	{ ID_BUTTON, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },

	{ ID_MENU_ITEM, PM_CURRENT | PM_HOT_KEY,
		{ ' ', attrib(BLUE, CYAN), attrib(MONO_DIM, MONO_NORMAL),
		PTN_SOLID_FILL, BLACK, CYAN, BW_WHITE, BW_BLACK, GS_WHITE, GS_BLACK } },
	{ ID_MENU_ITEM, PM_CURRENT,
		{ ' ', attrib(WHITE, CYAN), attrib(MONO_BLACK, MONO_NORMAL),
		PTN_SOLID_FILL, BLACK, CYAN, BW_WHITE, BW_BLACK, GS_BLACK, GS_GRAY } },
	{ ID_MENU_ITEM, PM_NON_SELECTABLE | PM_HOT_KEY,
		{ ' ', attrib(CYAN, LIGHTGRAY), attrib(MONO_DIM, MONO_BLACK),
		PTN_SOLID_FILL, LIGHTGRAY, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_MENU_ITEM, PM_NON_SELECTABLE,
		{ ' ', attrib(CYAN, LIGHTGRAY), attrib(MONO_DIM, MONO_BLACK),
		PTN_SOLID_FILL, LIGHTGRAY, WHITE, BW_BLACK, BW_WHITE, GS_GRAY, GS_WHITE } },
	{ ID_MENU_ITEM, PM_ACTIVE | PM_HOT_KEY,
		{ ' ', attrib(BLUE, LIGHTGRAY), attrib(MONO_HIGH, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_WHITE, BW_BLACK, GS_WHITE, GS_BLACK } },
	{ ID_MENU_ITEM, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },

	{ ID_WINDOW, PM_ANY,
		{ ' ', attrib(BLACK, WHITE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },
	{ ID_LIST, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },
	{ ID_GROUP, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },
	{ ID_TEXT, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },
	{ ID_SCROLL_BAR, PM_ANY,
 		{ 0xb0, attrib(BLACK, LIGHTGRAY), attrib(MONO_HIGH, MONO_BLACK),
		PTN_SOLID_FILL, LIGHTGRAY, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },
	{ ID_TOOL_BAR, PM_ANY,
		{ ' ', attrib(WHITE, LIGHTGRAY), attrib(MONO_BLACK, MONO_NORMAL),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },
	{ ID_MENU, PM_ANY,
		{ ' ', attrib(BLACK, LIGHTGRAY), attrib(MONO_BLACK, MONO_NORMAL),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },

	{ ID_PROMPT, PM_NON_SELECTABLE | PM_HOT_KEY,
		{ ' ', attrib(BLUE, WHITE), attrib(MONO_BLACK, MONO_NORMAL),
		PTN_SOLID_FILL, WHITE, BLACK, BW_WHITE, BW_BLACK, GS_WHITE, GS_BLACK } },
	{ ID_PROMPT, PM_NON_SELECTABLE,
		{ ' ', attrib(BLACK, WHITE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, BLACK, WHITE, BW_BLACK, BW_WHITE, GS_BLACK, GS_WHITE } },

	{ ID_BORDER, PM_ACTIVE,
		{ ' ', attrib(WHITE, LIGHTGRAY), attrib(MONO_HIGH, MONO_BLACK),
		PTN_INTERLEAVE_FILL, MAGENTA, MAGENTA, BW_BLACK, BW_WHITE, GS_WHITE, GS_GRAY } },
	{ ID_BORDER, PM_ANY,
		{ ' ', attrib(WHITE, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_TITLE, PM_ACTIVE,
		{ ' ', attrib(WHITE, BLUE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, WHITE, CYAN, BW_WHITE, BW_BLACK, GS_WHITE, GS_GRAY } },
	{ ID_TITLE, PM_ANY,
		{ ' ', attrib(WHITE, DARKGRAY), attrib(MONO_NORMAL, MONO_DIM),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_WHITE, GS_GRAY } },
	{ ID_MINIMIZE_BUTTON, PM_ACTIVE,
		{ ' ', attrib(WHITE, BLUE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_MINIMIZE_BUTTON, PM_ANY,
		{ ' ', attrib(WHITE, DARKGRAY), attrib(MONO_NORMAL, MONO_DIM),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_SYSTEM_BUTTON, PM_ACTIVE,
		{ ' ', attrib(WHITE, BLUE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_SYSTEM_BUTTON, PM_ANY,
		{ ' ', attrib(WHITE, DARKGRAY), attrib(MONO_NORMAL, MONO_DIM),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_MAXIMIZE_BUTTON, PM_ACTIVE | PM_SELECTED,
		{ ' ', attrib(YELLOW, BLUE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, YELLOW, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_MAXIMIZE_BUTTON, PM_ACTIVE,
		{ ' ', attrib(WHITE, BLUE), attrib(MONO_BLACK, MONO_HIGH),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },
	{ ID_MAXIMIZE_BUTTON, PM_ANY,
		{ ' ', attrib(WHITE, DARKGRAY), attrib(MONO_NORMAL, MONO_DIM),
		PTN_SOLID_FILL, BLACK, LIGHTGRAY, BW_BLACK, BW_WHITE, GS_BLACK, GS_GRAY } },

	// Special palettes.
	{ ID_OUTLINE, PM_ANY,
		{ ' ', attrib(WHITE, LIGHTGRAY), attrib(MONO_NORMAL, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, BLACK, BW_BLACK, BW_BLACK, GS_BLACK, GS_BLACK } },
	{ ID_WHITE_SHADOW, PM_ANY,
		{ ' ', attrib(WHITE, WHITE), attrib(MONO_HIGH, MONO_HIGH),
		PTN_SOLID_FILL, WHITE, WHITE, BW_WHITE, BW_WHITE, GS_WHITE, GS_WHITE } },
	{ ID_LIGHT_SHADOW, PM_ANY,
		{ ' ', attrib(LIGHTGRAY, LIGHTGRAY), attrib(MONO_NORMAL, MONO_NORMAL),
		PTN_SOLID_FILL, LIGHTGRAY, LIGHTGRAY, BW_BLACK, BW_BLACK, GS_BLACK, GS_BLACK } },
	{ ID_DARK_SHADOW, PM_ANY,
		{ ' ', attrib(DARKGRAY, LIGHTGRAY), attrib(MONO_BLACK, MONO_BLACK),
		PTN_SOLID_FILL, DARKGRAY, DARKGRAY, BW_BLACK, BW_BLACK, GS_BLACK, GS_BLACK } },
	{ ID_BLACK_SHADOW, PM_ANY,
		{ ' ', attrib(BLACK, BLACK), attrib(MONO_BLACK, MONO_BLACK),
		PTN_SOLID_FILL, BLACK, BLACK, BW_BLACK, BW_BLACK, GS_BLACK, GS_BLACK } },

	// End of array.
	{ ID_END, 0, { 0, 0, 0, 0, 0, 0 } }
};
#endif
UI_PALETTE_MAP *_normalPaletteMapTable = paletteMapTable;

